package com.sunxung.factoring.entity.invoicemanage.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.List;

/**
 * @Description : 采购发票vo类
 * @Author : JiaYf
 * @Date: 2021-10-21 13:58
 */
public class PurchInvoiceVo {

    //修改时使用
    private List<FileStorage> fileStorage;

    //修改时使用
    private List<FileStorage> listOfGoodsFile;

//    private List<BusinessSupplierInfo> businessSupplierInfos;

    //修改时使用
    /** 删除的附件 **/
    @TableField(exist = false)
    private List<Long> deleteFile;
//
//    public List<BusinessSupplierInfo> getBusinessSupplierInfos() {
//        return businessSupplierInfos;
//    }
//
//    public void setBusinessSupplierInfos(List<BusinessSupplierInfo> businessSupplierInfos) {
//        this.businessSupplierInfos = businessSupplierInfos;
//    }

    public List<FileStorage> getListOfGoodsFile() {
        return listOfGoodsFile;
    }

    public void setListOfGoodsFile(List<FileStorage> listOfGoodsFile) {
        this.listOfGoodsFile = listOfGoodsFile;
    }

    public List<FileStorage> getFileStorage() {
        return fileStorage;
    }

    public void setFileStorage(List<FileStorage> fileStorage) {
        this.fileStorage = fileStorage;
    }

    public List<Long> getDeleteFile() {
        return deleteFile;
    }

    public void setDeleteFile(List<Long> deleteFile) {
        this.deleteFile = deleteFile;
    }
}
